| Home | Libraries | People | FAQ | More

## Struct template capacity

boost::lockfree::capacity

## Synopsis

    // In header: <boost/lockfree/policies.hpp>

    template<size_t Size>
    struct capacity : public boost::parameter::template_keyword< tag::capacity, boost::mpl::size_t< Size > >
    {
    };

## Description

Sets the capacity of a data structure at compile-time.

This implies that a data structure is bounded and fixed-sized.